Questions tagged [apt]

APT is a package manager used on Raspbian and includes commands such as 'apt-get'.

Filter by
Sorted by
Tagged with
2
votes
1answer
2k views

How do I install the piFace Control & Display

I bought one of these (PiFace Control & Display) and according to the online instructions here, it says to run: apt-get install python3-pifacecad but when I do that I get: Reading package lists....
2
votes
1answer
41 views

Upgrade to a new Raspbian version offline

Regular Debian produces "point release" CD images periodically that can be used in /etc/apt/sources.list to update systems offline. Is there any way to upgrade to a newer release of Raspbian in a ...
2
votes
1answer
314 views

Neither sudo apt-get upgrade nor sudo apt-get install vim working

I just started Raspberry pi and was ordered to get vim installed. However whenever I run sudo apt-get install vim I get the following errors: Err:1 http://raspbian.raspberrypi.org/raspbian ...
2
votes
1answer
1k views

How can I get a list of user installed packages

I want to get the list of installed packages to perform a fresh installation. There are many ways of getting these e.g. https://wiki.debian.org/ListInstalledPackages but all produce impractically ...
2
votes
1answer
622 views

Installing GitLab on Raspian Stretch

I am trying to install GitLab on my Pi according to the official instructions. Until this step everything seems to be working fine: seb@raspi:~ $ sudo curl -sS https://packages.gitlab.com/install/...
2
votes
1answer
260 views

sudo apt-get installation doesn't work

Whenever I try to use sudo apt-get install, or sudo apt-get update, for that matter, I will result in an error like this: Reading package lists... Error! E: Encountered a section with no Package: ...
2
votes
2answers
1k views

apt-get update error: 500 no space left on device

Fresh install of NOOBS 2_4_3 Stretch using http://goddess-gate.com for repository mirror. Here is what I'm getting: sudo apt-get upgrade Reading package lists... Done Building dependency tree ...
2
votes
1answer
1k views

problems with sudo apt-get update

I just received my new pi3 today and was setting it up. I managed to get raspbian working but now when I try to run the command sudo apt-get update or sudo apt-get upgrade I get an error saying ...
2
votes
2answers
1k views

Cannot install programs

I noticed today that several packages were missing from the Raspbian repositories (I'm on Raspbian Jessie, and I used sudo apt-get update&&sudo apt-get upgrade before everything). What is ...
2
votes
2answers
1k views

Local apt mirror just for a single release

With the instructions at https://www.raspbian.org/RaspbianMirrors one can create an apt mirror of raspbian. This clones the whole repo of packages belonging to all the releases of Raspbian i.e. ...
2
votes
1answer
5k views

Unable to locate package python-gpiozero

I've just run apt-get update and apt-get upgrade on Raspbian, but when I try apt-get install python3-gpiozero python-gpiozero it can't find either package. Can't find any evidence of ...
2
votes
1answer
116 views

OpenCV release vs development version

I made a simple application with OpenCV for the RPI2. To do so, I installed the 'development' package on my RPI2. sudo apt-get install libopencv-dev python-opencv Now, I want to install my ...
2
votes
5answers
29k views

Can't apt-get install libssl-dev

Here is what I get when I try to apt-get install libssl-dev: root@raspi:/home/pi/cfengine-3.7.0a1.283240b# apt-get install libssl-dev Reading package lists... Done Building dependency tree ...
2
votes
1answer
1k views

Install XFCE after installing Raspbian without internet connection?

I have a Raspberry Pi Model B with a 16GB PNY class 4 SD card for memory that I received two days ago. I'm running Raspbian on NOOBS. After spending some time with it and interchanging operating ...
2
votes
1answer
1k views

Can anybody connect to mirrordirector.raspbian.org?

I keep trying apt-get update, but it gives me 504 errors for mirrordirector.raspbian.org I have tried wget mirrordirector.raspbian.org and it gives me the following output: If anybody can connect ...
2
votes
0answers
364 views

Unable to install php7.2-intl Depends php7.2-common 7.2.4-1 but 7.2.4-1+b1 is to be installed

While trying to install a NGINX server on a Raspberry Pi 3 Model B Rev 1.2 I was following this tutorial, also tried this answer but both return the error The following packages have unmet ...
2
votes
0answers
117 views

Wrong sources.list entry after adding resilio sync repository

I followed this Guide to install resilio sync on my RPI1. Installation works but I get an Error if I run sudo apt-get update. W: Failed to fetch http://mirrordirector.raspbian.org/raspbian/dists/...
2
votes
1answer
516 views

What repositories to add for apt-get to find python-opencv

I've been trying to install the packages necessary to play with shape recognition with a camera. Virtually all sites recommend using opencv, and tell, like here, here and here, to install it with apt‐...
2
votes
1answer
1k views

Raspberry does not start after apt-get upgrade

Bought myself a Raspberry PI 2 to use it as a simple web-server (lighttpd). Should have been simple. I have some years of experience with Debian so the light version of RaspBian was an obvious choice. ...
2
votes
0answers
3k views

How do the Raspbian and OSMC repositories differ?

My stock Raspbian system has libswscale2 available in the repositories, but OSMC does not. How do the repositories differ? In Raspbian: $ cat /etc/apt/sources.list deb http://mirror.internode.on.net/...
2
votes
0answers
3k views

Installing isc-dhcp-server error [closed]

I am following this [1] tutorial, and trying to install sudo apt-get install hostapd isc-dhcp-server according to this [2] step. I am getting the following error: [FAIL] Starting ISC DHCP ...
1
vote
2answers
2k views

Issue with apt-get update, Jessie repeats

Newbie to the Pi so this may be a dumb question. Hardware: Raspberry Pi 3 In following the suggestions to use "sudo apt-get update" the update system seems to be stuck. I keep getting updates ...
1
vote
1answer
1k views

apt-get update/upgrade fails on fresh image

I've created a fresh SD card with the weezy 2014-6-20 image. And follow these instructions to update. So after the freshly created image boots, I issue: sudo apt-get update sudo apt-get upgrade And ...
1
vote
2answers
3k views

installing package error “sudo apt-get install ppp”

I'm trying to install the ppp packaged for the raspberry pi so i can connect a 3g dongle to the internet but i get the following error. It seems that some modules install except one. overall the ppp ...
1
vote
2answers
163 views

autoreconf: command not found

autoreconf -fiv -bash: autoreconf: command not found I've tried everything listed in this link, but I still can't find any auto(re)conf. pi@no:~/motion $ apt-cache search autoreconf pi@no:~/motion $ ...
1
vote
1answer
905 views

Apt-Get Update security failure

I'm running a 3B+ with Raspbian Stretch 11/18 update. sudo apt-get update is returning this: W: GPG error: http://deb.debian.org/debian stretch-updates InRelease: The following signatures couldn't be ...
1
vote
1answer
2k views

Unable to install likewise-open in Raspberry Pi

I've tried to install likewise-open in my Raspberry Pi. Before that, I've edited my repository list, where /etc/apt/sources.list is as follows: deb http://mirrordirector.raspbian.org/raspbian/ wheezy ...
1
vote
1answer
240 views

~ $ sudo apt-get install samba samba-common-bin --------> Spits out dependency error

I'm new to the Raspberry Pi platform and also complitly new to Linux OS. That said, trubleshooting by my self is pretty much impossible. I hope I can find some help here :) I wanted to install Samba, ...
1
vote
2answers
3k views

sudo apt-get update error, connection failed

When i try to update my rpi i get error like this: Ign http://mirrordirector.raspbian.org jessie InRelease Err http://mirrordirector.raspbian.org jessie Release.gpg Connection failed [IP: 10.0.0.1 ...
1
vote
2answers
3k views

Removing Chromium B.S.U

I was trying to download chromium by using sudo apt-get install chromium, and I ended up getting chromium B.S.U. It won't open and I want to get rid of it, but I can' even find where it is. How do I ...
1
vote
2answers
827 views

Debian Release Upgrade

I am wondering how I do a Debian Release upgrade on my Pi? I know I can do an apt-get dist-upgrade but this is not a release upgrade. The debian tool do-release-upgrade does not exist on my Pi's ...
1
vote
1answer
4k views

Can't install apache

I can't download apache2 and php5: sudo apt-get install apache2 php5 libapache2-mod-php5 Gives me the error "Failed to fetch [URL] 404 Not Found". The raspberry is connected via ethernet to my ...
1
vote
2answers
40 views

sudo apt-get upgrade error

after sudo apt-get upgrade, the screen changed with xbox. I just did sudo apt-get update and sudo apt-get upgrade then screen changed white and I cant see the file image. How can I fix this ...
1
vote
1answer
23 views

Pandasql on Raspbian?

Has anyone successfully installed the Python pandasql package on their Raspberry Pi? sudo apt-get install pandasql Gives the following results: Reading package lists... Done Building dependency ...
1
vote
1answer
284 views

Problem with public keys, installing libc6

I'm having trouble installing a dependency on libc6. I'm trying to follow the solution in this question but I get the following response from sudo apt update: Hit:1 http://archive.raspberrypi.org/...
1
vote
1answer
438 views

Is it possible to install a higher version of python-numpy than 1.8.2 on a Raspberry Pi Zero?

I successfully installed most of the python data science packages on my RPi Zero using Geoff Boing's excellent guide. However, the versions of some of the packages seem quite old. E.g. numpy....
1
vote
1answer
300 views

“sudo apt-get install xstlproc” returns “E:Unable to locate package xstlproc”

I'm following https://www.raspberrypi.org/forums/viewtopic.php?t=196010#p1226096 to install a mosquitto server on Raspberry Pi 3 Model B sudo apt-get install libc-ares-dev uuid-dev libwebsockets-...
1
vote
5answers
3k views

Raspbian Jessie apt-get update fails ERROR: Hash Sum mismatch

Please find the attached snip, for the complete error message. This is the second time I've faced this issue, last time it happened I tried couple of different things updating source list file or apt-...
1
vote
1answer
10k views

Stretch apt-get update error: 'http://archive.raspberrypi.org/debian stretch Release' does no longer have a Release file

Cannot do first update for a straight from raspberrypi.org download of 2017-09-07-raspian-stretch image due to errors: pi@RWPi:~ $ sudo apt-get update Ign:1 http://mirrordirector.raspbian.org/...
1
vote
1answer
604 views

Download from apt-get through HTTPS only?

Today during a sudo apt-get dist-upgrade I noticed that at the beginning of the process it lists a series of lines starting as: Get: 1 http:/mirrordirector.raspberrypi.org ... Get: 2 http:/archive....
1
vote
1answer
2k views

Package jetty is not available

I try to install jetty on a new Raspberry Pi 3 with Raspbian. sudo apt-get install jetty But i only get the following message: Package jetty is not available, but is referred to by another ...
1
vote
2answers
4k views

Why does apt-get upgrade cause blank screen after reboot on Raspbian?

I have Raspberry 2 B, installed the Raspbian image . Everything was good. However, when I ran sudo apt-get upgrade it took about 50minues, and after reboot, i have blank screen with blinking ...
1
vote
1answer
1k views

Error when trying to install mysql-server

I'm trying to install mysql-server package using sudo apt-get install mysql-server on my Raspberry Pi (Raspbian Jessie), but I encounter the following error : dpkg: error processing archive /var/...
1
vote
2answers
5k views

How do I fix this 'transmission-daemon: command not found' error?

I set up a brand new Raspbmc and installed transmission-daemon on it. I was able to stop it by issuing a sudo /etc/init.d/transmission-daemon stop, after which I proceed to make some changes to ...
1
vote
1answer
4k views

How do I keep my system up to date with Raspbmc?

Occasionally, my Raspbmc upgrades itself, downloading and installing new kernels and xbmc. How would I keep the other packages up-to-date? I'm not sure if it's recommended, but I tried sudo apt-get ...
1
vote
2answers
23 views

How can I install numpy on a headless REMOTE Raspberry Pi Zero?

I need to install numpy on a remote Raspberry Pi Zero. I know how to do it on a local machine, but my Zero has already been deployed as a surveillance camera running MotioneyeOS. I can SSH to the Zero ...
1
vote
1answer
79 views

Weird issue when trying to update Pi3 (on Stretch)

Logs below, do I have to update to Buster? pi@raspberrypi:~ $ sudo apt-get update [sudo] password for pi: Hit:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease Hit:2 http://archive....
1
vote
1answer
129 views

Missing packages on raspbian

I'm trying to install the libindi astronomy toolset on my Raspberry PI 3 uname gives me Linux raspberrypi 4.19.58-v7+ #1245 SMP Fri Jul 12 17:25:51 BST 2019 armv7l GNU/Linux cat /etc/os-release ...
1
vote
1answer
205 views

Errors while installing OpenSSL from source (.deb) files

I am fairly new to raspberry pi's and Linux so forgive me if my question is trivial. I have been trying to install openssl and libssl via ssh on a Raspberry Pi zero that does not have access to the ...
1
vote
2answers
225 views

Libboost package installion error on Raspberry pi 3b+

Command: sudo apt-get install libboost1.50-all-dev Result: Error: Could not find any package by globe and regex libboost1.50-all-dev Error: Unable to locate package libboost1.50-all-dev